using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class Slider : Control
    {
        private string mySliderArt;

        [XmlElement("SliderArt", IsNullable = false)]
        [Browsable(true), Description("Template that defines the art for this slider")]
        public string SliderArt { get { return mySliderArt; } set { mySliderArt = value; } }

        public Slider() : this(null) { }
        public Slider(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            Slider temp_Slider = obj as Slider;
            if (temp_Slider != null)
                SliderArt = temp_Slider.SliderArt;
        }
    }
}
